Product comparison · 2 ip phones

Yealink MP52 Microsoft Teams Edition vs Yealink T58W(Pro) with Camera

Add a product
  • 43specifications compared
  • 21differ
  • 22identical
  • 64known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 1 more USB 2.0 ports quantity than the Yealink MP52 Microsoft Teams Edition (2 vs 1). The Yealink T58W(Pro) with Camera has 47.4 mm more width than the Yealink MP52 Microsoft Teams Edition (259.4 mm vs 212 mm). The Yealink T58W(Pro) with Camera has 34 mm more depth than the Yealink MP52 Microsoft Teams Edition (220 mm vs 186 mm). Only the Yealink T58W(Pro) with Camera has touchscreen. Only the Yealink T58W(Pro) with Camera has Wi-Fi.

  • Handset type
    • MP52 Microsoft Teams Edition:Wired handset
    • T58W(Pro) with Camera:Wireless handset
  • Display diagonal
    • MP52 Microsoft Teams Edition:6.1 cm (2.4")
    • T58W(Pro) with Camera:17.8 cm (7")
  • Display resolution
    • MP52 Microsoft Teams Edition:320 x 240 pixels
    • T58W(Pro) with Camera:1024 x 600 pixels
  • Touchscreen
    • MP52 Microsoft Teams Edition:No
    • T58W(Pro) with Camera:Yes
  • Ethernet LAN data rates
    • MP52 Microsoft Teams Edition:10,100,1000 Mbit/s
    • T58W(Pro) with Camera:1000 Mbit/s
  • Wi-Fi
    • MP52 Microsoft Teams Edition:No
    • T58W(Pro) with Camera:Yes
  • Bluetooth
    • MP52 Microsoft Teams Edition:No
    • T58W(Pro) with Camera:Yes
  • USB 2.0 ports quantity
    • MP52 Microsoft Teams Edition:1
    • T58W(Pro) with Camera:2

Side by side

Differences highlightedShow differences only (on)
Comparison of MP52 Microsoft Teams Edition, T58W(Pro) with Camera
107 specifications
Design1 differ
Handset typeDiffersWired handsetWireless handset
MountingKnown for oneDesk/WallUnknown — not stated by the source
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Operating system installedKnown for oneAndroidUnknown — not stated by the source
Operating system versionKnown for one9.0Unknown — not stated by the source
Compatible productsKnown for oneMicrosoft TeamsUnknown — not stated by the source
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingKnown for oneUnknown — not stated by the sourceYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Common area phone (CAP)Known for oneYesUnknown — not stated by the source
Hot deskingKnown for oneYesUnknown — not stated by the source
Call historyKnown for oneYesUnknown — not stated by the source
Emergency callKnown for oneYesUnknown — not stated by the source
Management featuresidentical
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Display3 differ
DisplayKnown for oneUnknown — not stated by the sourceLCD
Display diagonalDiffers6.1 cm (2.4")17.8 cm (7")
Display resolutionDiffers320 x 240 pixels1024 x 600 pixels
TouchscreenDiffersNoYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Backlight displayKnown for oneYesUnknown — not stated by the source
Graphical user interface (GUI) languageKnown for oneMultiUnknown — not stated by the source
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audio1 differ
Adaptive jitter buffersKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsDiffersAGC, AJB, CNG, G.711alaw, G.711ulaw, G.722, G.722.1, G.722.1C, G.723, G.726, G.729A, G.729B, OPUS, PLC, Silk, VAD, iLBCG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Video1 differ
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsDiffersSILK Opus, G.722, G.722.1, G.722.1C, G.711 (A/μ), G.723, G.726, G.729AB, ILBCH.264 High Profile, H.264, VP8
Network6 differ
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s1000 Mbit/s
Wi-FiDiffersNoYes
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothDiffersNoYes
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Networking standardsDiffersIEEE 802.1x, IEEE 802.3afIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsDiffersAES, HTTPS, TLS256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsDiffersIPv4/IPv6, SNTPIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
DHCP clientKnown for oneYesUnknown — not stated by the source
Ports & interfaces1 differ
USB 2.0 ports quantityDiffers12
Cable lock slotKnown for oneYesUnknown — not stated by the source
DC-in jackKnown for oneYesUnknown — not stated by the source
Poweridentical
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC adapter output voltageKnown for one5 VUnknown — not stated by the source
AC adapter output currentKnown for one2 AUnknown — not stated by the source
USB output currentKnown for one0.5 AUnknown — not stated by the source
Power consumption (typical)Known for one4.5 WUnknown — not stated by the source
Power consumption (Power over Ethernet (PoE))Known for one6 WUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs-10 - 50%5 - 90%
Operating temperature (T-T)Differs10 - 95 °C-10 - 45 °C
Weight & dimensions6 differ
WidthDiffers212 mm259.4 mm
DepthDiffers186 mm220 mm
HeightDiffers146 mm239 mm
Package widthDiffers210 mm324 mm
Package depthDiffers238 mm293 mm
Package heightDiffers103 mm128 mm
Package weightKnown for oneUnknown — not stated by the source8.8 kg
Packaging contentidentical
Cables includedKnown for oneLAN (RJ-45)Unknown — not stated by the source
Quick start guideKnown for oneYesUnknown — not stated by the source
Stand includedKnown for oneYesUnknown — not stated by the source
Certificatesidentical
CertificationKnown for oneCE, FCC, RoHS, ISO 9001, CCC, REACHUnknown — not stated by the source
Logistics dataidentical
Harmonized System (HS) codeKnown for one85171800Unknown — not stated by the source
Master (outer) case gross weightKnown for one11.6 kgUnknown — not stated by the source
Master (outer) case heightKnown for one250 mmUnknown — not stated by the source
Master (outer) case lengthKnown for one443 mmUnknown — not stated by the source
Master (outer) case net weightKnown for one10.7 kgUnknown — not stated by the source
Master (outer) case widthKnown for one535 mmUnknown — not stated by the source
Products per master (outer) caseKnown for one10 pc(s)Unknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons